| GET | /RestApi/comments-api/comments/{key} |
|---|
| Name | Parameter | Data Type | Required | Description |
|---|---|---|---|---|
| Key | path | string | No |
| Name | Parameter | Data Type | Required | Description |
|---|---|---|---|---|
| Key | form | string | No | |
| Name | form | string | No | |
| Message | form | string | No | |
| DateCreated | form | DateTime | No | |
| ProfilePictureUrl | form | string | No | |
| ProfilePictureThumbnailUrl | form | string | No | |
| Status | form | string | No | |
| form | string | No | ||
| ThreadKey | form | string | No | |
| AuthorIpAddress | form | string | No | |
| CustomData | form | string | No | |
| Rating | form | decimal? | No |
To override the Content-type in your clients, use the HTTP Accept Header, append the .jsv suffix or ?format=jsv
The following are sample HTTP requests and responses. The placeholders shown need to be replaced with actual values.
GET /RestApi/comments-api/comments/{key} HTTP/1.1
Host: www.asg.com.au
Accept: text/jsv
HTTP/1.1 200 OK
Content-Type: text/jsv
Content-Length: length
{
Key: String,
Name: String,
Message: String,
DateCreated: 0001-01-01,
ProfilePictureUrl: String,
ProfilePictureThumbnailUrl: String,
Status: String,
Email: String,
ThreadKey: String,
AuthorIpAddress: String,
CustomData: String,
Rating: 0
}